1. Orders
HT Partner API
  • Orders
    • Retrieve all orders
      GET
    • Retrieve order
      GET
    • Order count by tag
      GET
    • Create order
      POST
  • Clients
    • Create client
      POST
    • Retrieve client
      GET
    • Update client
      PUT
    • Create setup intent
      POST
    • Create ephemeral key
      POST
  • SKUs
    • Retrieve all SKUs
      GET
    • Check ZIP
      POST
  • Schemas
    • Schemas
    • Response
      • ErrorResponse
    • Common
      • Client
      • SetupIntent
      • Error
      • SkuQuestion
      • Sku
      • Cart
      • Order
      • SkuShort
    • Params
      • ClientParams
    • Params
      • CartItem
  1. Orders

Retrieve order

Developing
Staging
https://apis.hellotech.com
Staging
https://apis.hellotech.com
GET
/api/partners/orders/{order_id}

Request

Authorization
Add parameter in header
Api-Key
Example:
Api-Key: ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apis.hellotech.com/api/partners/orders/' \
--header 'Api-Key: <api-key>'

Responses

🟢200Success
application/json
Body

Example
{
    "status": "success",
    "order": {
        "id": 12345,
        "status": 1,
        "status_label": "Pending",
        "client_id": 67890,
        "client_name": "Jane Doe",
        "email": "jane@example.com",
        "phone": {
            "value": "3105550123",
            "formatted": "(310) 555-0123"
        },
        "address": "123 Main St, Los Angeles, CA 90001",
        "client_street": "123 Main St",
        "client_city": "Los Angeles",
        "client_state": "CA",
        "client_zip": "90001",
        "service_description": null,
        "events": [],
        "created_at": {
            "integer": 1711324800,
            "iso": "2024-03-25T00:00:00Z",
            "iso_short": "2024-03-25"
        },
        "updated_at": {
            "integer": 1711324800,
            "iso": "2024-03-25T00:00:00Z",
            "iso_short": "2024-03-25"
        },
        "tags": [
            "urgent",
            "tv-mount"
        ],
        "token": "abc123xyz",
        "purchase_order_id": "PO-2024-001",
        "purchase_order_source": "acme-partner",
        "skus": [
            {
                "id": 42,
                "name": "TV Mounting",
                "sku_icon": {
                    "original": "https://example.com/icon.png",
                    "thumb": "https://example.com/icon_thumb.png"
                },
                "hero_image": {
                    "original": "https://example.com/hero.png",
                    "thumb": "https://example.com/hero_thumb.png"
                },
                "hero_mobile_image": {
                    "original": "https://example.com/hero_mobile.png",
                    "thumb": "https://example.com/hero_mobile_thumb.png"
                }
            }
        ],
        "client_availability_ranges": [
            {
                "id": 1,
                "from_datetime": {
                    "integer": 1711324800,
                    "iso": "2024-03-25T08:00:00Z",
                    "iso_short": "2024-03-25"
                },
                "to_datetime": {
                    "integer": 1711339200,
                    "iso": "2024-03-25T12:00:00Z",
                    "iso_short": "2024-03-25"
                },
                "range_mode": "anytime"
            }
        ],
        "availability": "8:00am - 12:00pm on 3/25/24",
        "consolidated_availability": "3/25/24",
        "appointment_start": "9:00am on 3/25/24",
        "appointment_start_date_time": "2024-03-25T09:00:00-07:00",
        "recurring": false,
        "shipping_type": null,
        "order_summary_url": "https://www.hellotech.com/orders/abc123xyz/summary"
    }
}
Modified at 2026-03-25 15:53:38
Previous
Retrieve all orders
Next
Order count by tag
Built with